**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/23.3/object-lifecycle-workflows/object-record-user-actions/retrieve-object-record-user-actions.md

# Retrieve Object Record User Actions



Retrieve all available user actions that can be initiated on a specific object record which:

* The authenticated user has permissions to view or initiate

* Can be initiated through the API

<Endpoint path="/api/{version}/vobjects/{object_name}/{object_record_id}/actions" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The object `name__v` field value. |
| `{object_record_id}` | The object record `id` field value. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `loc` | Optional: When `true`, retrieves localized (translated) strings for the `label`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v20.1/vobjects/product__v/00P000000000301/actions


```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "links": [
                {
                    "rel": "metadata",
                    "href": "/api/v20.1/vobjects/product__v/00P000000000301/actions/Objectlifecyclestateuseraction.product__v.active_state__c.start_workflow_useraction__c",
                    "accept": "application/json",
                    "method": "GET"
                },
                {
                    "rel": "execute",
                    "href": "/api/v20.1/vobjects/product__v/00P000000000301/actions/Objectlifecyclestateuseraction.product__v.active_state__c.start_workflow_useraction__c",
                    "accept": "application/json",
                    "method": "POST"
                }
            ],
            "label": "Start Workflow",
            "type": "workflow",
            "name": "Objectlifecyclestateuseraction.product__v.active_state__c.start_workflow_useraction__c"
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response lists all available user actions that can be initiated on the specified object record.

* For users with the *View* permission, the response includes a link to retrieve the metadata for the specified user action.

* For users without the *View* permission, the response returns an `INSUFFICIENT_ACCESS` error.

* For users with the *Execute* permission, the response includes a link to initiate the specified action.



---

**Previous:** [Object Record User Actions](/clinical/vault-api/api-reference/23.3/object-lifecycle-workflows/object-record-user-actions)  
**Next:** [Retrieve Object User Action Details](/clinical/vault-api/api-reference/23.3/object-lifecycle-workflows/object-record-user-actions/retrieve-object-user-action-details)